/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package lookout.dndsupport;

/**
 *
 * @author connie
 */
import java.awt.datatransfer.*;
import products.ProductInBase;
import java.text.DecimalFormat;


public class ProductTransferable implements Transferable{
   
   static public DataFlavor dataFlavor =null;
    static {
     try {

            dataFlavor = new DataFlavor(ProductInBase.class,
                    "DiaCalcJ.products.ProductInBase");

        } catch(Exception e) {
         System.err.println(e);
     }
    }
    DataFlavor[] flavors = new DataFlavor[]{DataFlavor.stringFlavor,dataFlavor};

    private ProductInBase prod;
    private DecimalFormat format;

    public ProductTransferable(ProductInBase prod){
        this.prod = prod;
        format = new DecimalFormat("0.0");
    }
    @Override
    public DataFlavor[] getTransferDataFlavors(){
        return flavors;
    }
    @Override
    public boolean isDataFlavorSupported(DataFlavor flavor){
        return ( flavor.equals(flavors[0]) ||
                    flavor.equals(flavors[1]) );
    }
    @Override
    public Object getTransferData(DataFlavor flavor)throws UnsupportedFlavorException
    {
        if (!isDataFlavorSupported(flavor)){
            System.out.println("unsuported flavor");
        return null;
        }
        if (flavor.equals(flavors[0])){
            return prod.getName() + " "+ format.format(prod.getProt()) + " " +
                    format.format(prod.getFat()) + " " +
                    format.format(prod.getCarb()) + " " + prod.getGi();
        } else if (flavor.equals(flavors[1])){
            return prod;
        }
        return null;
    }
}
