/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

/**
 *
 * @author connie
 */
import java.util.*;
import products.ProdGroup;

public class GroupManager {
    private ManagementSystem manager;
    public static final int ONLY_EXISTS_GROUPS = 0;
    public static final int VIRTUAL_GROUP_ALSO = 1;
    
    private Collection<ProdGroup> groups;
    
    public GroupManager(){
        manager = ManagementSystem.getInstance();
    }
    
    public Collection getGroups(int mode){
        Vector<ProdGroup> gr = manager.getGroups();

        Collections.sort(gr, new Comparator<ProdGroup>(){
            public int compare(ProdGroup a,ProdGroup b){
                if ( a.getSortInd()<b.getSortInd() ) return -1;
                if ( a.getSortInd()>b.getSortInd() ) return 1;
                return 0;
            }
            });

        groups = gr;
        
        return groups; 
    }
    
    public Collection addGroup(ProdGroup gr, int mode){
        Vector<ProdGroup> tmp = new Vector(groups);
        int sort_id;
        if (tmp.size()>0) sort_id = tmp.lastElement().getSortInd()+1;
        else sort_id = 1;
        gr.setId(manager.getNextidGr());
        gr.setSortInd(sort_id);
        
        groups.add(gr);
        
        return groups;
    }
    
    public Collection deleteGroup(ProdGroup gr, int mode){
        /*int id = gr.getId();
        Vector<ProductInBase> products = manager.getProducts();
        for(ProductInBase item:products){
            if (item.getOwner()==id) products.remove(item);
        }*/
        groups.remove(gr);
        
       return groups;
    }
    
    public Collection updateGroup(ProdGroup gr, int mode){
        for(ProdGroup item:groups){
            if (item.getId()==gr.getId()){
                System.out.println(gr.getName()+" "+gr.getSortInd()+" "+gr.getId());
                System.out.println(item.getName()+" "+item.getSortInd()+" "+item.getId());
                item.setName(gr.getName());
                item.setSortInd(gr.getSortInd());
            }
        }
        return getGroups(mode);
    }
   
}
