/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package maths;

/**
 *
 * @author connie
 */
import java.sql.Time;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;

public class CoefsSet {
    public final static boolean TIME = false;
    public final static boolean ORDER = true;

    private int     id;
    private float   k1;
    private float   k2;
    private float   k3;
    private Time    time;
    private int     row;
    private boolean mode;//true - возвращаем номер
                         //false - возвращаем время
    private SimpleDateFormat format = new SimpleDateFormat("HH:mm");
    private DecimalFormat dcf = new DecimalFormat("0.00");

    public CoefsSet(){
        id =0;
        k1 = 1f;
        k2 = 0f;
        k3 = 10f;
        time = new Time(TimedCoefsSet.SEVEN-TimedCoefsSet.DELTA);
        row = 0;
        mode = true;
    }
    public CoefsSet(CoefsSet in){
        id = in.id;
        k1 = in.k1;
        k2 = in.k2;
        k3 = in.k3;
        time = in.time;
        row = in.row;
        mode = in.mode;
    }
    public CoefsSet(int id, float k1, float k2, float k3, Time time, int row,
            boolean mode){
        this.id = id;
        this.k1 = k1;
        this.k2 = k2;
        this.k3 = k3;
        this.time = time;
        this.row = row;
        this.mode = mode;
    }

    public void setMode(boolean mode){
        this.mode = mode;
    }
    public void setPos(int row){
        this.row = row;
    }

    public int getId(){
        return id;
    }
    public void setId(int id){
        this.id = id;
    }
    public float getK1(){
        return k1;
    }
    public void setK1(float k1){
        this.k1 = k1;
    }
    public float getK2(){
        return k2;
    }
    public void setK2(float k2){
        this.k2 = k2;
    }
    public float getK3(){
        return k3;
    }
    public void setK3(float k3){
        this.k3 = k3;
    }
    
    public Time getTime(){
        return time;
    }
    public void setTime(Time time){
        this.time = time;
    }
    
    public int getRow(){
        return row;
    }
    public void setRow(int row){
        this.row = row;
    }
    @Override
    public String toString(){
        String buf ="";
        if (mode) {
            buf ="#";
            if (row<10) buf += " ";
            buf += row;
        }
        else{
            buf += format.format(time);
        }

        buf += " : k1 "+
                dcf.format(k1)+" : k2 "+dcf.format(k2)+" : ЦЕИ "+dcf.format(k3)+" ";
        return buf;
    }
}
