/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package lookout.dndsupport;

/**
 *
 * @author connie
 */
import javax.swing.*;
import java.awt.datatransfer.*;
import products.ProductInBase;
import tablemodels.MenuTableModel;
import manager.ProductManager;
import java.util.Collection;
import java.util.ArrayList;
import products.ProductW;
import lookout.MainFrame;

public class MenuProductImportHandler extends TransferHandler{
    MainFrame owner;
    public MenuProductImportHandler(MainFrame owner){
        this.owner = owner;
    }

    @Override
    public boolean canImport(TransferHandler.TransferSupport info) {
        return info.isDataFlavorSupported(ProductTransferable.dataFlavor);
        
    }
    @Override
    public boolean importData(TransferHandler.TransferSupport info) {
        if (!info.isDrop()) {
            return false;
        }

        if (!canImport(info)) return false;

        if (info.getComponent() instanceof JTable){
            JTable tb = (JTable)info.getComponent();
            
            ProductInBase prod=null;
            try{
                prod = (ProductInBase)info.getTransferable().
                        getTransferData(ProductTransferable.dataFlavor);
                
            }catch (Exception e) { return false; }

            
            prod.setUsage(prod.getUsage()+1);

            ProductManager mgr = new ProductManager();
            mgr.updateProductInBase(prod);

            ((MenuTableModel)tb.getModel()).addProduct(new ProductW(prod));
            
            return true;
        }
        return false;
    }
    @Override
    public int getSourceActions(JComponent c) {
        return COPY_OR_MOVE;
    }
    @Override
    public Transferable createTransferable(JComponent c){
    if (c instanceof JTable){
        JTable tb = (JTable)c;
        if (tb.getRowCount()>0){
            Collection<ProductW> col = new ArrayList();
            for (int i=0;i<tb.getRowCount();i++){
                col.add( ((MenuTableModel)tb.getModel()).getProduct(i) );
            }
            return new MenuTransferable(col,owner);
        }
    }

        return null;
    }

    
}
