/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

/**
 *
 * @author connie
 */

import java.util.*;
import products.ProductInBase;
import java.text.Collator;

public class ProductManager {
    private ManagementSystem manager;
    //private int lastInsertedId = -1;
    //private ProgramSettings settings;
    private Collection<ProductInBase> products;
    private final Collator myCollator = Collator.getInstance();
    
    
    public ProductManager(){
        //Тут надо иницировать соединение
        manager = ManagementSystem.getInstance();
        //settings = ProgramSettings.getInstance();
    }
    
    
    public Collection getAllProducts(){
        Vector<ProductInBase> buf = manager.getProducts();

        //тут нужна сортировка!!!!!
        Collections.sort(buf, new Comparator<ProductInBase>(){
            public int compare(ProductInBase a,ProductInBase b){

                return myCollator.compare(a.getName(),b.getName());

            }
            });
        products = buf;


        return products;
        
    }
    
    public Collection getProductsFromGroup(int idGroup){
        Vector<ProductInBase> buf = new Vector<ProductInBase>();
        Vector<ProductInBase> tmp = manager.getProducts();
        //System.out.println(tmp.size() + " " + idGroup);
        for(ProductInBase item:tmp){
            if (item.getOwner()==idGroup){
                buf.add(item);
            }
        }
        Collections.sort(buf, new Comparator<ProductInBase>(){
            public int compare(ProductInBase a,ProductInBase b){

                return myCollator.compare(a.getName(),b.getName());

            }
        });
        products = buf;

     
        return products;
    }
            
  
   
   public Collection addProdInBase(ProductInBase prod){
       prod.setId(manager.getNextidPr());
       Vector<ProductInBase> tmp = manager.getProducts();
       tmp.add(prod);
       
       
        return getProductsFromGroup(prod.getOwner());
   }
   public Collection addCollectionProducts(Collection<ProductInBase> prods, 
           int grId){
       Vector<ProductInBase> tmp = manager.getProducts();
       for(ProductInBase item:prods){
           item.setId(manager.getNextidPr());
           item.setOwner(grId);
           tmp.add(item);
       }
       
        return getProductsFromGroup(grId);
     
   }
   public Collection updateProductInBase(ProductInBase prod){
       Vector<ProductInBase> tmp = manager.getProducts();
        for(ProductInBase item:tmp){
            if (item.getId()==prod.getId()){
                item = prod;
            }
        }
       
        return getProductsFromGroup(prod.getOwner());
   }
   
   public Collection deleteProductFromBase(ProductInBase prod){
       Vector<ProductInBase> tmp = manager.getProducts();
        for(ProductInBase item:tmp){
            if (item.getId()==prod.getId()){
                tmp.remove(item);
            }
        }

        
        
        return getProductsFromGroup(prod.getOwner());
   }
   public int getLastInsertedId(){
       Vector<ProductInBase> tmp = manager.getProducts();
       return tmp.lastElement().getId();
   }
}
