/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

/**
 *
 * @author connie
 */
import java.util.*;

import products.ProductInBase;
import products.ProdGroup;
import products.Pair;

import java.util.ArrayList;


public class SearchProdManager {
    private ManagementSystem manager;
    
    public SearchProdManager(){
        //Тут надо иницировать соединение
        manager = ManagementSystem.getInstance();
    }
    
    public Collection<Pair> doSearch(String string4search){
        Vector<ProdGroup> groups = manager.getGroups();
        Vector<ProductInBase> products = manager.getProducts();
        
        Collection<Pair> list = new ArrayList();
        
        
        
        for(ProductInBase prod:products){
            if (string4search.length()==0 || 
                    prod.getName().toUpperCase().contains(string4search.toUpperCase())){
                for (ProdGroup gr:groups){
                    if (gr.getId()==prod.getOwner()){
                        //Нашли и группу и продукт
                        list.add(new Pair(gr,prod));
                        break;
                    }
                }
            }
        }
        
        
        
        
        return list;
    }
}


