/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package products;

/**
 *
 * @author connie
 */

import java.io.Serializable;


//Это обычный продукт в рабочей базе продуктов
public class ProductInBase extends ProductW implements Serializable{
    
    private int idProd = 0;
    private Boolean Compl = false;
    private int ownerGroup=0;
    private int usage = 0;
        
    public ProductInBase(){
        super();
    }
    
    public ProductInBase(String newName, float newProt, float newFat, float newCarb,
            int newGi, float newWeight, int newId, boolean isCompl,int owner,
            int usage){
        super(newName, newProt, newFat, newCarb, newGi,newWeight);
        idProd = newId;
        Compl = isCompl;
        ownerGroup = owner;
        this.usage = usage;
    }
    
    public ProductInBase(ProductInBase newProd){
        super(newProd);
        idProd = newProd.idProd;
        Compl = newProd.Compl;
        ownerGroup = newProd.ownerGroup;
        usage = newProd.usage;
    }
    
    public int getOwner(){
        return ownerGroup;
    }
    
    public int getId(){
        return idProd;
    }
    
    public Boolean isComplex(){
        return Compl;
    }
    
    public int getUsage(){
        return usage;
    }
    public void setUsage(int usage){
        this.usage = usage;
    }
    
    public void setId(int newId){
        idProd = newId;
    }
    
    public void setCompl(Boolean isCompl){
        Compl = isCompl;
    }
    public void setOwner(int newOwner){
        ownerGroup = newOwner;
    }
    
    @Override
    public String toString(){
        return Name+" "+Weight+" "+Prot+" "+Fat+" "+Carb+" "+Gi;
    }
    
}
